diff -Nru /tmp/vrO83w9yNL/console-common-0.7.71/config.in /tmp/xrg5RU2VB9/console-common-0.7.72/config.in
--- /tmp/vrO83w9yNL/console-common-0.7.71/config.in	2007-08-02 18:10:18.000000000 +0200
+++ /tmp/xrg5RU2VB9/console-common-0.7.72/config.in	2007-12-13 14:33:23.000000000 +0100
@@ -281,14 +281,20 @@
     ($state == 0) && do {
 
       # This one has a default, we can trust it has a value
-      ($ret) = input ('high', 'console-data/keymap/policy');
-      if ($ret == 30) {		# if the question is not going to be asked...
- 	maybe_set_default_choice ('console-data/keymap/policy', "Don't touch keymaps");
-      }
-      @retval = go;
-      if ($retval[0] eq 30) {
+      # Skip the question when console-data is being installed from
+      # debian-installer as it sets up the keymap itself
+      if (! -r '/tmp/debian-installer/keymap-policy-default') {
+	($ret) = input ('high', 'console-data/keymap/policy');
+	if ($ret == 30) {		# if the question is not going to be asked...
+	  maybe_set_default_choice ('console-data/keymap/policy', "Don't touch keymaps");
+	}
+	@retval = go;
+	if ($retval[0] eq 30) {
+	  set ('console-data/keymap/policy', "Don't touch keymap");
+	  exit 30; 
+	}
+      } else {
 	set ('console-data/keymap/policy', "Don't touch keymap");
-	exit 30; 
       }
 
       my $policy = get ('console-data/keymap/policy');
diff -Nru /tmp/vrO83w9yNL/console-common-0.7.71/debian/changelog /tmp/xrg5RU2VB9/console-common-0.7.72/debian/changelog
--- /tmp/vrO83w9yNL/console-common-0.7.71/debian/changelog	2007-10-14 12:41:20.000000000 +0200
+++ /tmp/xrg5RU2VB9/console-common-0.7.72/debian/changelog	2007-12-13 14:37:52.000000000 +0100
@@ -1,3 +1,11 @@
+console-common (0.7.72) UNRELEASED; urgency=low
+
+  * Don't display the keymap policy question when console-data is installed
+    from debian-installer as that takes care of setting up the correct keymap
+    itself. Closes: #452331.
+
+ -- Frans Pop <fjp@debian.org>  Thu, 13 Dec 2007 14:33:28 +0100
+
 console-common (0.7.71) unstable; urgency=low
 
   [ Debconf translations ]
